package org.jboss.shrinkwrap.descriptor.api.j2ee14; 

/**
 * This class implements the <code> message-destination-usageType </code> xsd type 
 */
public enum MessageDestinationUsageType
{
   _CONSUMES("Consumes"),
   _PRODUCES("Produces"),
   _CONSUMESPRODUCES("ConsumesProduces");

   private String value;

   MessageDestinationUsageType (String value) { this.value = value; }

   public String toString() {return value;}

   public static MessageDestinationUsageType getFromStringValue(String value)
   {
      for(MessageDestinationUsageType type: MessageDestinationUsageType.values())
      {
         if(value != null && type.toString().equals(value))
        { return type;}
      }
      return null;
   }

}

